## class Matrix : public Table

> a table with some constraints on row and column zero.

## Inheritance:

### Public Methods

  | Matrix (Config *c, TableWindow *t, TableViewer *v)
  void | CheckDocument ()
  bool | UpdateText (Cell *c, const string *text)

### Protected Methods

  virtual bool | CheckTextString (Cell *c, const string *text)
  unsigned | CheckEmptyColumnEntries (unsigned row)
  unsigned | CheckEmptyRowEntries (unsigned column)

### Inherited from Table:

### Public Fields

static const int MIN_ROW_HEIGHT
static const int MIN_COLUMN_WIDTH
static const int MAX_ROW_HEIGHT
static const int MAX_COLUMN_WIDTH
static const int MIN_MARGIN_WIDTH
static const int MIN_MARGIN_HEIGHT
static const int MAX_MARGIN_WIDTH
static const int MAX_MARGIN_HEIGHT
static const int MIN_NUMBER_OF_COLUMNS
static const int MIN_NUMBER_OF_ROWS
static const int MAX_NUMBER_OF_COLUMNS
static const int MAX_NUMBER_OF_ROWS

### Public Methods

void Initialize()
void LoadEntries()
void SaveEntries()
void RemoveAll()
void AddRows()
void AddColumns()
void DeleteRows()
void DeleteColumns()
void DeleteAll()
void Purge()
void CutTexts()
void CopyTexts()
void PasteTexts()
void SortRows()
void SortColumns()
void SameWidth()
void SameHeight()
void Span()
void UnSpan()
void SelectAll()
void Move(MoveType t)
void Append()
void SetAppendToggle(bool set)
bool IsAppendBottom()
void SetAddRowsToggle(bool set)
void SetAddColumnsToggle(bool set)
void AddRows(unsigned count)
void AddColumns(unsigned count)
void FindAll(const string *s, bool sens, bool sub, bool)
void FindNext(const string *s, bool sens, bool sub, bool)
void ReplaceNext(const string *s1, const string *s2, bool sens, bool sub, bool)
void ReplaceAll(const string *s1, const string *s2, bool sens, bool sub, bool)
void SetDefaultNumberOfRows()
void SetDefaultNumberOfColumns()
void SetDefaultRowHeight()
void SetDefaultColumnWidth()
void SetDefaultNumberOfRows(unsigned n)
void SetDefaultNumberOfColumns(unsigned n)
void SetDefaultRowHeight(int n)
void SetDefaultColumnWidth(int n)
void SetMarginHeight(int n)
void SetMarginWidth(int n)
void DefaultRowAlignment()
void DefaultColumnAlignment()
void UpdateRowAlignment()
void UpdateColumnAlignment()
void UpdateColumnAlignment(TextAlign::Type type)
void UpdateRowAlignment(TextAlign::Type type)
void UpdateDefaultColumnAlignment(TextAlign::Type newType)
void UpdateDefaultRowAlignment(TextAlign::Type newType)
void ShowConfigRowAlignment()
void ShowDefaultRowAlignment()
void ShowConfigColumnAlignment()
void ShowDefaultColumnAlignment()
void UpdateTableLineStyle()
void UpdateLineStyle(Side::Type side, LineStyle::Type style)
void ShowConfigLineStyle()
void ShowDefaultLineStyle()
void UpdateTableLineWidth()
void UpdateLineWidth(Side::Type side, unsigned width)
void ShowConfigLineWidth()
void ShowDefaultLineWidth()
void UpdateCellTextUnderline()
void ShowRowColumnLabels(bool b)
void PrintRowColumnLabels(bool b)
void UpdateMarginWidth()
void UpdateMarginHeight()
void AnnotateCell()
void SetCellAnnotation(const string *s)
ScaleDialog* GetScaleDialog()
ToggleListDialog* GetPromptToggleDialog()
LineStyleSideDialog* GetTableLineStyleDialog()
LineWidthSideDialog* GetTableLineWidthDialog()
TextAlignmentDialog* GetRowAlignmentDialog()
NToggleListDialog* GetColumnAlignmentDialog()

### Protected Methods

TableViewer* GetTableViewer()

### Inherited from Document:

### Public Classes

enum MoveType

### Public Methods

void New()
virtual void Load()
void Save()
void SaveAs()
void SaveSelectionAs()
void Quit()
void ShowDocInfo()
void ShowSource()
void SaveSource()
virtual void ShowSummary()
virtual void ModelCheckDocument()
void Annotate()
void LoadSave(const string *file)
virtual void DoLoad(const string *file)
void DoSaveAs(const string *file)
void DoSaveSelectionAs(const string *file)
double GetLoadFormat() const
void NewFile(const string *file)
bool NewName(const string *newname)
void SetName(const string *newname)
const string* GetName() const
const string* GetDocType() const
const string* GetSuffix() const
const string* GetToolName() const
const string* GetAuthor() const
const string* GetCreationTime() const
bool IsDefault()
void NewDir(const string *newdir)
void SetDir(const string *newdir)
const string* GetDir() const
void SetFSDir()
void IncChanges()
void DecChanges()
int GetChanges() const
virtual void SetInlineEdit(bool)
bool IsModified() const
void SetModified(bool set)
bool IsLoaded() const
bool MayWrite(const string *path)
void SetStatus(const char *msg)
void SetStatus(const string *msg)
void SetAnnotation(const string *s)
virtual void Find()
virtual void Replace()
void UpdateWindow()
EditWindow* GetMainWindow() const
Config* GetConfig() const
Viewer* GetViewer() const
InputFile* GetInputFile() const
OutputFile* GetOutputFile() const
TextEditDialog* GetSourceEditDialog() const
TextEditDialog* GetDocAnnotationDialog() const
TextEditDialog* GetEltAnnotationDialog() const
FileSelectionDialog* GetFileSelectionDialog() const
FindDialog* GetFindDialog() const
ReplaceDialog* GetReplaceDialog() const

### Protected Fields

string chkbuf

### Protected Methods

bool IsAppending() const
bool IsSaveSelection() const
virtual void UpdateDirectory(const string *s)
void ShowDialog(MessageDialog::DialogType, const char *title, const char *text)
void ShowDialog(MessageDialog::DialogType, const char *title, const string *text)
void ReportCheck(int errors, const string *msg)
bool Save(const string *file)

## Documentation

> a table with some constraints on row and column zero.

`Matrix(Config *c, TableWindow *t, TableViewer *v)`

`void CheckDocument()`

`bool UpdateText(Cell *c, const string *text)`

`virtual bool CheckTextString(Cell *c, const string *text)`

`unsigned CheckEmptyColumnEntries(unsigned row)`

`unsigned CheckEmptyRowEntries(unsigned column)`

Direct child classes:
  TUTable
  TDTable
  FETable

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de